Bug 1450361 - pam_ssh_agent_auth i686 and x86_64 can't be installed side by side
Summary: pam_ssh_agent_auth i686 and x86_64 can't be installed side by side
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: openssh
Version: 7.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Jakub Jelen
QA Contact: Stefan Dordevic
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-12 10:27 UTC by Hubert Kario
Modified: 2017-08-01 18:44 UTC (History)
3 users (show)

Fixed In Version: openssh-7.4p1-7.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 18:44:55 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2029 normal SHIPPED_LIVE Moderate: openssh security, bug fix, and enhancement update 2017-08-01 18:11:55 UTC

Description Hubert Kario 2017-05-12 10:27:04 UTC
Description of problem:
pam_ssh_agent_auth i686 and x86_64 can't be installed side by side, yum complains about conflicting files

Version-Release number of selected component (if applicable):
pam_ssh_agent_auth-0.10.3-1.6.el7

How reproducible:
always

Steps to Reproduce:
1. yum install pam_ssh_agent_auth.i686 pam_ssh_agent_auth.x86_64

Actual results:
Transaction check error:
file /usr/share/man/man8/pam_ssh_agent_auth.8.gz from install of
pam_ssh_agent_auth-0.10.3-1.6.el7.i686 conflicts with file from package
pam_ssh_agent_auth-0.10.3-1.6.el7.x86_64

Expected results:
packages installed

Additional info:

Comment 2 Jakub Jelen 2017-05-12 11:42:43 UTC
The difference is only in the date of manual page:

Multilib difference for usr/share/man/man8/pam_ssh_agent_auth.8.gz on x86_64 vs i686:
Binary files /usr/share/man/man8/pam_ssh_agent_auth.8.gz on x86_64 and /usr/share/man/man8/pam_ssh_agent_auth.8.gz on i686 differ
--- Decompressed content of /usr/share/man/man8/pam_ssh_agent_auth.8.gz on x86_64
+++ Decompressed content of /usr/share/man/man8/pam_ssh_agent_auth.8.gz on i686
@@ -133,7 +133,7 @@
 .\" ========================================================================
 .\"
 .IX Title "pam_ssh_agent_auth 8"
-.TH pam_ssh_agent_auth 8 "2016-11-12" "v0.10.3" "PAM"
+.TH pam_ssh_agent_auth 8 "2016-11-13" "v0.10.3" "PAM"
 .\" For nroff, turn off justification.  Always turn off hyphenation; it makes
 .\" way too many mistakes in technical documents.
 .if n .ad l

The manual page is generated from *.pod file using pod2man during the build and it looks like the tool is interpreting the modify time of the original file differently on 64bits architecture than on ix86 (but my random scratch build didn't show the same issue).

This was not a problem with 7.3, because the date was date of built (the source archive didn't contain the date information).

I can just try to bump version and rebuild the package (and hope we will not hit this issue) or try to force hard-coded date to the tool to make sure it will be the same in all cases.

In any case, we will need an exception to do any further modification to the package this late before Beta (setting exception=?).

Comment 5 errata-xmlrpc 2017-08-01 18:44:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2029


Note You need to log in before you can comment on or make changes to this bug.